Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/View/AggregationCommandView.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/View/AggregationCommandView.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/View/AggregationCommandView.cs	(revision 16994)
@@ -20,11 +20,4 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Data;
-using System.Drawing;
-using System.Text;
-using System.Windows.Forms;
 
 namespace HeuristicLab.DataImporter.Command.View {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/View/BoxCoxTransformationCommandView.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/View/BoxCoxTransformationCommandView.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/View/BoxCoxTransformationCommandView.cs	(revision 16994)
@@ -20,10 +20,5 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
 using System.ComponentModel;
-using System.Data;
-using System.Drawing;
-using System.Text;
 using System.Windows.Forms;
 
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/View/ChangeDateTimeCommandView.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/View/ChangeDateTimeCommandView.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/View/ChangeDateTimeCommandView.cs	(revision 16994)
@@ -21,9 +21,5 @@
 
 using System;
-using System.Collections.Generic;
 using System.ComponentModel;
-using System.Data;
-using System.Drawing;
-using System.Text;
 using System.Windows.Forms;
 using HeuristicLab.DataImporter.Data;
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/View/FilterCommandView.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/View/FilterCommandView.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/View/FilterCommandView.cs	(revision 16994)
@@ -20,11 +20,4 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Data;
-using System.Drawing;
-using System.Text;
-using System.Windows.Forms;
 
 namespace HeuristicLab.DataImporter.Command.View {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/View/FilterSavitzkyGolayCommandView.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/View/FilterSavitzkyGolayCommandView.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/View/FilterSavitzkyGolayCommandView.cs	(revision 16994)
@@ -21,10 +21,4 @@
 
 using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Data;
-using System.Drawing;
-using System.Text;
-using System.Windows.Forms;
 
 namespace HeuristicLab.DataImporter.Command.View {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/View/LinearTransformationCommandView.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/View/LinearTransformationCommandView.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/View/LinearTransformationCommandView.cs	(revision 16994)
@@ -20,10 +20,5 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
 using System.ComponentModel;
-using System.Data;
-using System.Drawing;
-using System.Text;
 using System.Windows.Forms;
 
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/View/MinMaxCommandView.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/View/MinMaxCommandView.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/View/MinMaxCommandView.cs	(revision 16994)
@@ -20,10 +20,5 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
 using System.ComponentModel;
-using System.Data;
-using System.Drawing;
-using System.Text;
 using System.Windows.Forms;
 
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/View/NormalDistribuationCommandView.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/View/NormalDistribuationCommandView.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/View/NormalDistribuationCommandView.cs	(revision 16994)
@@ -20,10 +20,5 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
 using System.ComponentModel;
-using System.Data;
-using System.Drawing;
-using System.Text;
 using System.Windows.Forms;
 
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/View/ProgrammableColumnCommandView.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/View/ProgrammableColumnCommandView.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/View/ProgrammableColumnCommandView.cs	(revision 16994)
@@ -21,10 +21,4 @@
 
 using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Data;
-using System.Drawing;
-using System.Text;
-using System.Windows.Forms;
 
 namespace HeuristicLab.DataImporter.Command.View {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/View/SearchAndReplaceCommandView.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/View/SearchAndReplaceCommandView.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/View/SearchAndReplaceCommandView.cs	(revision 16994)
@@ -20,11 +20,4 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Data;
-using System.Drawing;
-using System.Text;
-using System.Windows.Forms;
 
 namespace HeuristicLab.DataImporter.Command.View {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/View/SearchCommandView.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/View/SearchCommandView.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/View/SearchCommandView.cs	(revision 16994)
@@ -20,11 +20,4 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Data;
-using System.Drawing;
-using System.Text;
-using System.Windows.Forms;
 
 namespace HeuristicLab.DataImporter.Command.View {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/View/SearchWithMatchOperationCommandView.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/View/SearchWithMatchOperationCommandView.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/View/SearchWithMatchOperationCommandView.cs	(revision 16994)
@@ -21,10 +21,4 @@
 
 using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Data;
-using System.Drawing;
-using System.Text;
-using System.Windows.Forms;
 
 namespace HeuristicLab.DataImporter.Command.View {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/View/TimeBasedCommandView.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/View/TimeBasedCommandView.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/View/TimeBasedCommandView.cs	(revision 16994)
@@ -21,9 +21,5 @@
 
 using System;
-using System.Collections.Generic;
 using System.ComponentModel;
-using System.Data;
-using System.Drawing;
-using System.Text;
 using System.Windows.Forms;
 using HeuristicLab.DataImporter.Data;
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/View/TimeBasedWithoutOffsetCommandView.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/View/TimeBasedWithoutOffsetCommandView.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/View/TimeBasedWithoutOffsetCommandView.cs	(revision 16994)
@@ -21,9 +21,5 @@
 
 using System;
-using System.Collections.Generic;
 using System.ComponentModel;
-using System.Data;
-using System.Drawing;
-using System.Text;
 using System.Windows.Forms;
 using HeuristicLab.DataImporter.Data;