Index: /branches/2924_DotNetCoreMigration/HeuristicLab.DynamicAssemblyTestApp/ConsoleInspector.cs
===================================================================
--- /branches/2924_DotNetCoreMigration/HeuristicLab.DynamicAssemblyTestApp/ConsoleInspector.cs	(revision 17026)
+++ /branches/2924_DotNetCoreMigration/HeuristicLab.DynamicAssemblyTestApp/ConsoleInspector.cs	(revision 17026)
@@ -0,0 +1,40 @@
+﻿using System;
+using HEAL.Attic;
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+using HeuristicLab.Optimization;
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.ConsoleApplications {
+  [StorableType("61621E70-8A67-43A2-8EB2-233FC01E493B")]
+  [Application("CLIInspect", "")]
+  public class ConsoleInspector : ApplicationBase {
+    [Storable]
+    public UniPath InputFilePath { get; set; }
+
+    public ConsoleInspector() { }
+
+    public ConsoleInspector(UniPath inputFilePath) {
+      InputFilePath = inputFilePath;
+    }
+
+    public override void Run(ICommandLineArgument[] args) {
+      ContentManager.Initialize(new PersistenceContentManager());
+      IStorableContent content = ContentManager.Load(InputFilePath.ToString());
+      IOptimizer optimizer = content as IOptimizer;
+      if (content != null) {
+        Console.WriteLine($"Name: {optimizer.Name}");
+        Console.WriteLine($"Description: {optimizer.Description}");
+        Console.WriteLine($"Run count: {optimizer.Runs.Count}");
+        Console.WriteLine("\nRESULT(S):");
+        int i = 1;
+        foreach (var run in optimizer.Runs) {
+          Console.WriteLine($"{"-------------------------------- RUN",35} {$"{i++:D3}" + " --------------------------------",-35}");
+          foreach (var res in run.Results) {
+            Console.WriteLine($"{res.Key,35} : {res.Value,-35}");
+          }
+        }
+      }
+    }
+  }
+}
Index: /branches/2924_DotNetCoreMigration/HeuristicLab.DynamicAssemblyTestApp/ConsoleOptimizer.cs
===================================================================
--- /branches/2924_DotNetCoreMigration/HeuristicLab.DynamicAssemblyTestApp/ConsoleOptimizer.cs	(revision 17025)
+++ /branches/2924_DotNetCoreMigration/HeuristicLab.DynamicAssemblyTestApp/ConsoleOptimizer.cs	(revision 17026)
@@ -8,5 +8,5 @@
 using HeuristicLab.PluginInfrastructure;
 
-namespace HeuristicLab.DynamicAssemblyTestApp {
+namespace HeuristicLab.ConsoleApplications {
   [StorableType("33B32897-258B-4E29-8E2E-0A9A8AE67B1D")]
   [Application("CLIOptimize", "")]
Index: /branches/2924_DotNetCoreMigration/HeuristicLab.DynamicAssemblyTestApp/HeuristicLab.ConsoleApplications.csproj
===================================================================
--- /branches/2924_DotNetCoreMigration/HeuristicLab.DynamicAssemblyTestApp/HeuristicLab.ConsoleApplications.csproj	(revision 17026)
+++ /branches/2924_DotNetCoreMigration/HeuristicLab.DynamicAssemblyTestApp/HeuristicLab.ConsoleApplications.csproj	(revision 17026)
@@ -0,0 +1,27 @@
+﻿<Project Sdk="Microsoft.NET.Sdk">
+
+  <PropertyGroup>
+    <TargetFramework>netstandard2.0</TargetFramework>
+    <AppendTargetFrameworkToOutputPath>false</AppendTargetFrameworkToOutputPath>
+    <SignAssembly>true</SignAssembly>
+    <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
+  </PropertyGroup>
+
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
+    <OutputPath>..\bin\</OutputPath>
+  </PropertyGroup>
+
+  <ItemGroup>
+    <ProjectReference Include="..\HeuristicLab.Common\3.3\HeuristicLab.Common-3.3.csproj" />
+    <ProjectReference Include="..\HeuristicLab.Core\3.3\HeuristicLab.Core-3.3.csproj" />
+    <ProjectReference Include="..\HeuristicLab.Optimization\3.3\HeuristicLab.Optimization-3.3.csproj" />
+    <ProjectReference Include="..\HeuristicLab.PluginInfrastructure\3.3\HeuristicLab.PluginInfrastructure-3.3.csproj" />
+  </ItemGroup>
+
+  <ItemGroup>
+    <Reference Include="HEAL.Attic">
+      <HintPath>..\bin\HEAL.Attic.dll</HintPath>
+    </Reference>
+  </ItemGroup>
+
+</Project>
Index: anches/2924_DotNetCoreMigration/HeuristicLab.DynamicAssemblyTestApp/HeuristicLab.DynamicAssemblyTestApp.csproj
===================================================================
--- /branches/2924_DotNetCoreMigration/HeuristicLab.DynamicAssemblyTestApp/HeuristicLab.DynamicAssemblyTestApp.csproj	(revision 17025)
+++ 	(revision )
@@ -1,27 +1,0 @@
-﻿<Project Sdk="Microsoft.NET.Sdk">
-
-  <PropertyGroup>
-    <TargetFramework>netstandard2.0</TargetFramework>
-    <AppendTargetFrameworkToOutputPath>false</AppendTargetFrameworkToOutputPath>
-    <SignAssembly>true</SignAssembly>
-    <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
-  </PropertyGroup>
-
-  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
-    <OutputPath>..\bin\</OutputPath>
-  </PropertyGroup>
-
-  <ItemGroup>
-    <ProjectReference Include="..\HeuristicLab.Common\3.3\HeuristicLab.Common-3.3.csproj" />
-    <ProjectReference Include="..\HeuristicLab.Core\3.3\HeuristicLab.Core-3.3.csproj" />
-    <ProjectReference Include="..\HeuristicLab.Optimization\3.3\HeuristicLab.Optimization-3.3.csproj" />
-    <ProjectReference Include="..\HeuristicLab.PluginInfrastructure\3.3\HeuristicLab.PluginInfrastructure-3.3.csproj" />
-  </ItemGroup>
-
-  <ItemGroup>
-    <Reference Include="HEAL.Attic">
-      <HintPath>..\bin\HEAL.Attic.dll</HintPath>
-    </Reference>
-  </ItemGroup>
-
-</Project>
Index: anches/2924_DotNetCoreMigration/HeuristicLab.DynamicAssemblyTestApp/InspectApplication.cs
===================================================================
--- /branches/2924_DotNetCoreMigration/HeuristicLab.DynamicAssemblyTestApp/InspectApplication.cs	(revision 17025)
+++ 	(revision )
@@ -1,40 +1,0 @@
-﻿using System;
-using HEAL.Attic;
-using HeuristicLab.Common;
-using HeuristicLab.Core;
-using HeuristicLab.Optimization;
-using HeuristicLab.PluginInfrastructure;
-
-namespace HeuristicLab.DynamicAssemblyTestApp {
-  [StorableType("61621E70-8A67-43A2-8EB2-233FC01E493B")]
-  [Application("CLIInspect", "")]
-  public class InspectApplication : ApplicationBase {
-    [Storable]
-    public UniPath InputFilePath { get; set; }
-
-    public InspectApplication() { }
-
-    public InspectApplication(UniPath inputFilePath) {
-      InputFilePath = inputFilePath;
-    }
-
-    public override void Run(ICommandLineArgument[] args) {
-      ContentManager.Initialize(new PersistenceContentManager());
-      IStorableContent content = ContentManager.Load(InputFilePath.ToString());
-      IOptimizer optimizer = content as IOptimizer;
-      if (content != null) {
-        Console.WriteLine($"Name: {optimizer.Name}");
-        Console.WriteLine($"Description: {optimizer.Description}");
-        Console.WriteLine($"Run count: {optimizer.Runs.Count}");
-        Console.WriteLine("\nRESULT(S):");
-        int i = 1;
-        foreach (var run in optimizer.Runs) {
-          Console.WriteLine($"{"-------------------------------- RUN",35} {$"{i++:D3}" + " --------------------------------",-35}");
-          foreach (var res in run.Results) {
-            Console.WriteLine($"{res.Key,35} : {res.Value,-35}");
-          }
-        }
-      }
-    }
-  }
-}
Index: /branches/2924_DotNetCoreMigration/HeuristicLab.DynamicAssemblyTestApp/Plugin.cs
===================================================================
--- /branches/2924_DotNetCoreMigration/HeuristicLab.DynamicAssemblyTestApp/Plugin.cs	(revision 17025)
+++ /branches/2924_DotNetCoreMigration/HeuristicLab.DynamicAssemblyTestApp/Plugin.cs	(revision 17026)
@@ -4,17 +4,8 @@
 using HeuristicLab.PluginInfrastructure;
 
-namespace HeuristicLab.DynamicAssemblyTestApp {
+namespace HeuristicLab.ConsoleApplications {
 
-  [Plugin("HeuristicLab.DynamicAssemblyTestApp", "1.0")]
-  [PluginFile("HeuristicLab.DynamicAssemblyTestApp.dll", PluginFileType.Assembly)]
-  [PluginDependency("HeuristicLab.Algorithms.GeneticAlgorithm", "3.3")]
-  [PluginDependency("HeuristicLab.Algorithms.ALPS", "3.3")]
-  [PluginDependency("HeuristicLab.Algorithms.ParticleSwarmOptimization", "3.3")]
-  [PluginDependency("HeuristicLab.Algorithms.EvolutionStrategy", "3.3")]
-  [PluginDependency("HeuristicLab.Algorithms.TabuSearch", "3.3")]
-  [PluginDependency("HeuristicLab.Algorithms.LocalSearch", "3.3")]
-  [PluginDependency("HeuristicLab.Problems.TravelingSalesman", "3.3")]
-  [PluginDependency("HeuristicLab.Problems.Knapsack", "3.3")]
-  [PluginDependency("HeuristicLab.SequentialEngine", "3.3")]
-  public class DynamicAssemblyTestPlugin : PluginBase { }
+  [Plugin("HeuristicLab.ConsoleApplications", "1.0")]
+  [PluginFile("HeuristicLab.ConsoleApplications.dll", PluginFileType.Assembly)]
+  public class ConsoleApplications : PluginBase { }
 }